gawk-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gawk-diffs] [SCM] gawk branch, gawk-4.2-stable, updated. gawk-4.1.0-309


From: Arnold Robbins
Subject: [gawk-diffs] [SCM] gawk branch, gawk-4.2-stable, updated. gawk-4.1.0-3095-g57ce0c9
Date: Fri, 21 Dec 2018 05:21:09 -0500 (EST)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".

The branch, gawk-4.2-stable has been updated
       via  57ce0c9d0bd5d0dca6f009238170731d853dc891 (commit)
       via  de5f5e33aaf66cf5de836ef9224e68fc0546ae11 (commit)
      from  8f6299093d8277b312f927a9bf36fceacae38f4d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=57ce0c9d0bd5d0dca6f009238170731d853dc891

commit 57ce0c9d0bd5d0dca6f009238170731d853dc891
Author: Arnold D. Robbins <address@hidden>
Date:   Fri Dec 21 12:20:49 2018 +0200

    Improve auto debug for .developing.

diff --git a/ChangeLog b/ChangeLog
index 4365cff..5472860 100755
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2018-12-21         Arnold D. Robbins     <address@hidden>
+
+       * configure.ac: Remove -O only if .developing has 'debug' in it.
+
 2018-12-18         Arnold D. Robbins     <address@hidden>
 
        * Makefile.am (distclean-local): Remove .deps directory.
diff --git a/configure b/configure
index f488b48..51f4283 100755
--- a/configure
+++ b/configure
@@ -12830,7 +12830,9 @@ if test -n "$ac_unrecognized_opts" && test 
"$enable_option_checking" != no; then
 $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
 fi
 
-if test "$GCC" = yes && test -f $srcdir/.developing
+if test "$GCC" = yes &&
+   test -f $srcdir/.developing &&
+   grep -i debug $srcdir/.developing > /dev/null
 then
        for i in . support extension
        do
diff --git a/configure.ac b/configure.ac
index bbc87b9..801bf83 100644
--- a/configure.ac
+++ b/configure.ac
@@ -485,7 +485,9 @@ then
        AC_CONFIG_SUBDIRS(extension)
 fi
 AC_OUTPUT
-if test "$GCC" = yes && test -f $srcdir/.developing
+if test "$GCC" = yes &&
+   test -f $srcdir/.developing &&
+   grep -i debug $srcdir/.developing > /dev/null
 then
        for i in . support extension
        do

http://git.sv.gnu.org/cgit/gawk.git/commit/?id=de5f5e33aaf66cf5de836ef9224e68fc0546ae11

commit de5f5e33aaf66cf5de836ef9224e68fc0546ae11
Author: Arnold D. Robbins <address@hidden>
Date:   Fri Dec 21 11:29:52 2018 +0200

    Bug fix in dfa, with test.

diff --git a/support/ChangeLog b/support/ChangeLog
index 0075304..424dbdd 100644
--- a/support/ChangeLog
+++ b/support/ChangeLog
@@ -1,3 +1,8 @@
+2018-12-21         Arnold D. Robbins     <address@hidden>
+
+       * dfa.c; Sync with GNULIB, bugfix for \b (\y in gawk)
+       in the C locale.
+
 2018-12-18         Arnold D. Robbins     <address@hidden>
 
        * Makefile.am (distclean-local): Remove .deps directory.
diff --git a/support/dfa.c b/support/dfa.c
index 612faa1..7687aca 100644
--- a/support/dfa.c
+++ b/support/dfa.c
@@ -2345,6 +2345,26 @@ epsclosure (struct dfa const *d)
   free (tmp.elems);
 }
 
+/* Returns the set of contexts for which there is at least one
+   character included in C.  */
+
+static int
+charclass_context (struct dfa const *dfa, charclass const *c)
+{
+  int context = 0;
+
+  for (unsigned int j = 0; j < CHARCLASS_WORDS; ++j)
+    {
+      if (c->w[j] & dfa->syntax.newline.w[j])
+        context |= CTX_NEWLINE;
+      if (c->w[j] & dfa->syntax.letters.w[j])
+        context |= CTX_LETTER;
+      if (c->w[j] & ~(dfa->syntax.letters.w[j] | dfa->syntax.newline.w[j]))
+        context |= CTX_NONE;
+    }
+
+  return context;
+}
 /* Returns the contexts on which the position set S depends.  Each context
    in the set of returned contexts (let's call it SC) may have a different
    follow set than other contexts in SC, and also different from the
@@ -3137,17 +3157,22 @@ build_state (state_num s, struct dfa *d, unsigned char 
uc)
       /* Find out if the new state will want any context information,
          by calculating possible contexts that the group can match,
          and separate contexts that the new state wants to know.  */
+      int possible_contexts = charclass_context (d, &label);
       int separate_contexts = state_separate_contexts (d, &group);
 
       /* Find the state(s) corresponding to the union of the follows.  */
-      if (d->syntax.sbit[uc] & separate_contexts & CTX_NEWLINE)
-        state = state_index (d, &group, CTX_NEWLINE);
-      else if (d->syntax.sbit[uc] & separate_contexts & CTX_LETTER)
-        state = state_index (d, &group, CTX_LETTER);
-      else
+      if (possible_contexts & ~separate_contexts)
         state = state_index (d, &group, separate_contexts ^ CTX_ANY);
 
+      else
+        state = -1;
+      if (separate_contexts & possible_contexts & CTX_NEWLINE)
+        state_newline = state_index (d, &group, CTX_NEWLINE);
+      else
       state_newline = state;
+      if (separate_contexts & possible_contexts & CTX_LETTER)
+        state_letter = state_index (d, &group, CTX_LETTER);
+      else
       state_letter = state;
 
       /* Reallocate now, to reallocate any newline transition properly.  */
diff --git a/test/ChangeLog b/test/ChangeLog
index 9637539..d8620b9 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,8 @@
+2018-12-21         Arnold D. Robbins     <address@hidden>
+
+       * Makefile.am (EXTRA_DIST): New test: dfacheck1.
+       * dfacheck1.awk, dfacheck1.in, dfacheck1.ok: New files.
+
 2018-11-25         Arnold D. Robbins     <address@hidden>
 
        * Makefile.am (GAWK_EXT_TESTS): Fix layout of the list.
diff --git a/test/Makefile.am b/test/Makefile.am
index e1ecc64..fd2b940 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -241,6 +241,9 @@ EXTRA_DIST = \
        devfd1.awk \
        devfd1.ok \
        devfd2.ok \
+       dfacheck.awk \
+       dfacheck.in \
+       dfacheck.ok \
        dfamb1.awk \
        dfamb1.in \
        dfamb1.ok \
@@ -1293,7 +1296,7 @@ GAWK_EXT_TESTS = \
        charasbytes colonwarn clos1way clos1way2 clos1way3 clos1way4 clos1way5 \
        clos1way6 crlf \
        dbugeval dbugeval2 dbugtypedre1 dbugtypedre2 delsub \
-       devfd devfd1 devfd2 dumpvars \
+       devfd devfd1 devfd2 dfacheck1 dumpvars \
        errno exit \
        fieldwdth forcenum fpat1 fpat2 fpat3 fpat4 fpat5 fpat6 fpatnull fsfwfs \
        funlen functab1 functab2 functab3 fwtest fwtest2 fwtest3 fwtest4 \
diff --git a/test/Makefile.in b/test/Makefile.in
index 1e3fe2e..a22373e 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -499,6 +499,9 @@ EXTRA_DIST = \
        devfd1.awk \
        devfd1.ok \
        devfd2.ok \
+       dfacheck.awk \
+       dfacheck.in \
+       dfacheck.ok \
        dfamb1.awk \
        dfamb1.in \
        dfamb1.ok \
@@ -1551,7 +1554,7 @@ GAWK_EXT_TESTS = \
        charasbytes colonwarn clos1way clos1way2 clos1way3 clos1way4 clos1way5 \
        clos1way6 crlf \
        dbugeval dbugeval2 dbugtypedre1 dbugtypedre2 delsub \
-       devfd devfd1 devfd2 dumpvars \
+       devfd devfd1 devfd2 dfacheck1 dumpvars \
        errno exit \
        fieldwdth forcenum fpat1 fpat2 fpat3 fpat4 fpat5 fpat6 fpatnull fsfwfs \
        funlen functab1 functab2 functab3 fwtest fwtest2 fwtest3 fwtest4 \
@@ -4002,6 +4005,11 @@ delsub:
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
 
+dfacheck1:
+       @echo $@
+       @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  < 
"$(srcdir)"/address@hidden >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+       @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
 exit:
        @echo $@
        @-$(LOCALES) AWK="$(AWKPROG)" "$(srcdir)"/address@hidden  > _$@ 2>&1 || 
echo EXIT CODE: $$? >>_$@
diff --git a/test/Maketests b/test/Maketests
index 65f0197..0580498 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1330,6 +1330,11 @@ delsub:
        @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  >_$@ 2>&1 || echo EXIT 
CODE: $$? >>_$@
        @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
 
+dfacheck1:
+       @echo $@
+       @AWKPATH="$(srcdir)" $(AWK) -f address@hidden  < 
"$(srcdir)"/address@hidden >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+       @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
 exit:
        @echo $@
        @-$(LOCALES) AWK="$(AWKPROG)" "$(srcdir)"/address@hidden  > _$@ 2>&1 || 
echo EXIT CODE: $$? >>_$@
diff --git a/test/dfacheck1.awk b/test/dfacheck1.awk
new file mode 100644
index 0000000..e7c812d
--- /dev/null
+++ b/test/dfacheck1.awk
@@ -0,0 +1 @@
+/.\<x/
diff --git a/test/dfacheck1.in b/test/dfacheck1.in
new file mode 100644
index 0000000..b85da3c
--- /dev/null
+++ b/test/dfacheck1.in
@@ -0,0 +1 @@
+123-x
diff --git a/test/dfacheck1.ok b/test/dfacheck1.ok
new file mode 100644
index 0000000..b85da3c
--- /dev/null
+++ b/test/dfacheck1.ok
@@ -0,0 +1 @@
+123-x

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog          |  4 ++++
 configure          |  4 +++-
 configure.ac       |  4 +++-
 support/ChangeLog  |  5 +++++
 support/dfa.c      | 35 ++++++++++++++++++++++++++++++-----
 test/ChangeLog     |  5 +++++
 test/Makefile.am   |  5 ++++-
 test/Makefile.in   | 10 +++++++++-
 test/Maketests     |  5 +++++
 test/dfacheck1.awk |  1 +
 test/dfacheck1.in  |  1 +
 test/dfacheck1.ok  |  1 +
 12 files changed, 71 insertions(+), 9 deletions(-)
 create mode 100644 test/dfacheck1.awk
 create mode 100644 test/dfacheck1.in
 create mode 100644 test/dfacheck1.ok


hooks/post-receive
-- 
gawk



reply via email to

[Prev in Thread] Current Thread [Next in Thread]